> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a private network

> Creates a new private network with specified descriptive name. If the first network of the user, it is set as default. Location-specific endpoint.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json post /network/network
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /network/network:
    post:
      tags:
        - Private networks
      summary: Create a private network
      description: >-
        Creates a new private network with specified descriptive name. If the
        first network of the user, it is set as default. Location-specific
        endpoint.
      operationId: createPrivateNetwork
      parameters:
        - name: name
          in: query
          required: false
          schema:
            type: string
          description: Network name
      responses:
        '200':
          description: Created network
          content:
            application/json:
              schema:
                type: object
              example:
                name: network3
                uuid: 2e8cd389-27fe-45ce-a63d-d536068659e5
                is_default: true
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````